
Infrastructure - Bug #7320

CN.getCapabilities() (v2 only) returns a v1.Node

2015-08-27 20:35 - Andrei Buium

Status: Closed Start date: 2015-08-27

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

The CNCore getCapabilities is a v2-only call at the "GET /" endpoint but yields a org.dataone.service.types.v1.Node instead of a v2

Node.

Ran into this when running tests in the Dev environment, against https://cn-dev-ucsb-1.test.dataone.org/cn/

Related issues:

Duplicates Infrastructure - Task #7039: CN.getNodeCapabilities return v1 object Closed 2015-04-10

History

#1 - 2015-08-27 23:08 - Ben Leinfelder

- Duplicates Task #7039: CN.getNodeCapabilities return v1 object added

#2 - 2015-08-27 23:09 - Ben Leinfelder

- Status changed from New to Closed

- % Done changed from 0 to 100

This was an issue earlier that I thought I resolved, but It seems the CN dispatching was indeterminate. I've now removed v2 handling of the "/"

request so we will only get v2 nodelist responses.

This has been deployed on cn-dev-ucsb-1 and will be deployed on the other two cns shortly.
